(defun c:hjj (/ en i ss)(prompt "\n改为SOLID填充")
(setq ss (ssget '((0 . "HATCH"))))
(setq i -1)
(while (setq en (ssname ss (setq i (1+ i)))))
(initget "A S D")
(if (not (setq p
(getkword"\n请选择填充样式[实体(A)/ANSI31(S)/ANSI37(D)]:")))
(setq p "A"))
(cond
((= p "A")
(command "hatchedit" en "p" "SOLID" "" "" ))
((= p "S")
(command "hatchedit" en "p" "ANSI31" "1000" "0" ))
((= p "D")
(command "hatchedit" en "p" "ANSI31" "1000" "0" ))
))
(defun c:hjj (/ en i p ss)
(setq ss (ssget '((0 . "HATCH"))))
(initget "A S D")
(if (not (setq p
(getkword"\n请选择填充样式[实体(A)/ANSI31(S)/ANSI37(D)]:")))
(setq p "A"))
(setq i -1)
(while (setq en (ssname ss (setq i (1+ i))))
(cond
((= p "A")
(command "hatchedit" en "p" "SOLID"))
((= p "S")
(command "hatchedit" en "p" "ANSI31" "1000" "0" ))
((= p "D")
(command "hatchedit" en "p" "ANSI37" "1000" "0" ))
)))